<?php
/**
 * Description of hotel24
 *
 * @author igor.zabuga@gmail.com
 */

class ControllerExtensionModuleHotel24 extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/hotel24');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('hotel24', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true));
		}

		$data['heading_title'] = $this->language->get('heading_title');

		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');

		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$data['entry_login'] = $this->language->get('entry_login');
		$data['entry_pass'] = $this->language->get('entry_pass');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('extension/module/hotel24', 'token=' . $this->session->data['token'], true)
		);

		$data['action'] = $this->url->link('extension/module/hotel24', 'token=' . $this->session->data['token'], true);

		$data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'] . '&type=module', true);

		if (isset($this->request->post['hotel24_status'])) {
			$data['hotel24_status'] = $this->request->post['hotel24_status'];
		} else {
			$data['hotel24_status'] = $this->config->get('hotel24_status');
		}

		if (isset($this->request->post['hotel24_sort_order'])) {
			$data['hotel24_sort_order'] = $this->request->post['hotel24_sort_order'];
		} else {
			$data['hotel24_sort_order'] = $this->config->get('hotel24_sort_order');
		}

		if (isset($this->request->post['hotel24_login'])) {
			$data['hotel24_login'] = $this->request->post['hotel24_login'];
		} else {
			$data['hotel24_login'] = $this->config->get('hotel24_login');
		}

		if (isset($this->request->post['hotel24_pass'])) {
			$data['hotel24_pass'] = $this->request->post['hotel24_pass'];
		} else {
			$data['hotel24_pass'] = $this->config->get('hotel24_pass');
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/hotel24', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/hotel24')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}

	public function install() {
		// Register the event triggers
		$this->load->model('extension/event');

		//$this->model_extension_event->addEvent('hotel24', 'catalog/model/checkout/order/addOrderHistory/after', 'extension/sinc/hotel24/sinchronization');
	}

	public function uninstall() {
		// delete the event triggers
		$this->load->model('extension/event');

		//$this->model_extension_event->deleteEvent('hotel24');
	}
}

